PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# DROP VIEW

## Name

DROP VIEW -- remove a view

## Synopsis

    DROP VIEW name [, ...] [ CASCADE | RESTRICT ]

## Description

`DROP VIEW` drops an existing view. To execute this command you must be the owner of the view.

## Parameters

name

  The name (optionally schema-qualified) of the view to remove.

CASCADE

  Automatically drop objects that depend on the view (such as other views).

RESTRICT

  Refuse to drop the view if any objects depend on it. This is the default.

## Examples

This command will remove the view called kinds:

    DROP VIEW kinds;

## Compatibility

This command conforms to the SQL standard.

## See Also

CREATE VIEW

Prev | Home | Next
DROP USER | Up | END